System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Tutaj można zadać pytanie, jeśli Linuksa widzi się pierwszy raz w życiu ;)
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 02 lis 2018, 12:50

Witajcie mam taki problem z wersją 17.10:

Proszę sprawdzić, czy używane są repozytoria osób trzecich. Jeśli tak, to proszę je wyłączyć, ponieważ są częstym źródłem problemów.
Następnie proszę uruchomić następujące polecenie w terminalu: apt-get install -f

Chciałem zrobić aktualizacje do 18.04 i nie udało się ktoś pomoże ?
Awatar użytkownika
Tomfoc
Przebojowy Jelonek
Przebojowy Jelonek
Posty: 1751
Rejestracja: 30 lis 2011, 21:14
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: Tomfoc » 02 lis 2018, 15:11

Zapewne wiesz, że Ubuntu 17.10 to już martwy trup. Jego żywot skończył się w lipcu, bo wsparcie miało przez 9 miesięcy. Zainstaluj na jego miejsce Ubuntu 18.04, które ma wsparcie przez 5 lat. Świeża instalacja potrwa kilka razy krócej.
Laptop: Lenovo Ideapad 300, CPU: Intel® Core™ i5-6200U CPU @ 2.30GHz × 4, GPU: Intel® HD Graphics 520 (Skylake GT2), RAM: 8 GB, HDD: 500 GB
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 02 lis 2018, 15:17

Jakaś podpowiedz ??
Ściągnąć plik i z ręki instalować ??
Nie utracę tego wszystkiego co posiadam aktualnie ? (zakładki w przeglądarce, pliki na pulpicie itp)

Jestem bardzo początkujący więc proszę o pomoc.
Awatar użytkownika
jacekalex
Gibki Gibbon
Gibki Gibbon
Posty: 3948
Rejestracja: 17 cze 2007, 02:54
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: MATE
Architektura: x86_64

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: jacekalex » 02 lis 2018, 16:07

Chyba kiepsko zainstalowałeś tego Ubuntu 17.10.

Przenieś folder /home na inną partycję systemową, potem zainstaluj jakieś świeże Ubuntu albo lepiej Debiana Stable (jest bardziej przewidywalny od Ubuntu i troszkę stabilniejszy).
Potem zamontujesz partycję, na którą przeniosłeś folder home w nowym linuxie, i nic się nie powinno zgubić.
Będziesz tylko musiał w nowym systemie dodać użytkownika o takim samym loginie i numerkach UID oraz GID.

Pozdro
:craz:
Problemy rozwiązujemy na forum nie na PW -> Niech inni na tym skorzystają.
Komputer jest jak klimatyzacja - gdy otworzysz okna, robi się bezużyteczny...
Linux User #499936
Inny OS: Gentoo Linux :)
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 02 lis 2018, 16:26

No to teraz zamarłem, oj będzie ciężko.
17.10 robiłem poprzez aktualizacje, instalował się sam.
Awatar użytkownika
kobrawerde
Wytworny Kaczor
Wytworny Kaczor
Posty: 288
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: LXDE
Architektura: x86_64

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: kobrawerde » 02 lis 2018, 17:25

Poczytaj o repozytoriach ...co i jak w Ubuntu
https://help.ubuntu.com/community/Repositories/Ubuntu ( może uda Ci się wyłączyć usunąć na czas instalacji w/w)
Tu jest opis instalacji z zachowaniem /home ... ale po angielsku :
https://askubuntu.com/questions/630966/ ... untu-14-04
A najlepiej polecam program CloneZilla-live / USB ... nauczyć się robić backup partycji / przywracania ... a potem możesz spokojnie eksperymentować.
https://help.ubuntu.com/community/UbuntuReinstallation
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 03 lis 2018, 22:36

skopiowałem co mnie interesowało, jak z poziomu 17.10 zainstalować 18.04
próbowałem zrobić aktualizacje z terminala ale ...

Czytanie list pakietów... Gotowe
x@x-Lenovo-G50-80:~$ sudo apt-get upgrade
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
Należy uruchomić "apt --fix-broken install", aby je naprawić.
Następujące pakiety mają niespełnione zależności:
E: Niespełnione zależności. Proszę spróbować wykonać "apt --fix-broken install" bez pakietów (lub podać rozwiązanie).
x@x-Lenovo-G50-80:~$ apt --fix-broken install
E: Nie udało się otworzyć pliku blokady /var/lib/dpkg/lock - open (13: Brak dostępu)
E: Nie udało się zablokować katalogu administracyjnego (/var/lib/dpkg/), czy użyto uprawnień administratora?

czarna magia
Awatar użytkownika
kobrawerde
Wytworny Kaczor
Wytworny Kaczor
Posty: 288
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: LXDE
Architektura: x86_64

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: kobrawerde » 04 lis 2018, 08:59

Miałem takie błędy kiedy ........ jednocześnie działa usługa update (w tle) lub jeśli uaktualniasz / instalujesz program przez terminal a masz uruchomionego menedżera synaptic. Czasem przy starcie systemu uruchamia się także automatycznie usługa unattended-upgrade możesz sprawdzić poleceniem top (w terminalu) czy tak nie jest .... i o dziwo nie chce się wyłączyć uniemożliwiając ręczne uaktualnienia. Jeśli tak jest możesz spróbować zamknąć w/w :
Kod: [Zaznacz]

Kod: Zaznacz cały

sudo apt-get -y update
Czasem podobne błędy można uzyskać jeśli próbujemy uaktualniać z pozycji zwykłego usera a nie root-a ...
może zatem opcja sudo / hasło:

Kod: Zaznacz cały

sudo apt --fix-broken install
a tak na przyszłość zaloguj się jako root / administrator a potem wykonuj polecenia jak update /upgrade itd wymagające podwyższonych uprawnień :-) ....$ informuje iż jesteś jako zwykły user a # jako root
x@x-Lenovo-G50-80:~$
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 04 lis 2018, 12:09

Po wpisaniu kodu

sudo apt-get -y update

uzyskałem

x@x-Lenovo-G50-80:~$ sudo apt-get -y update
[sudo] hasło użytkownika x:
Stary:1 http://archive.canonical.com/ubuntu vivid InRelease
Stary:2 http://pl.archive.ubuntu.com/ubuntu artful InRelease
Stary:3 http://pl.archive.ubuntu.com/ubuntu artful-updates InRelease
Stary:4 http://pl.archive.ubuntu.com/ubuntu artful-backports InRelease
Stary:5 http://pl.archive.ubuntu.com/ubuntu artful-security InRelease
Czytanie list pakietów... Gotowe
x@x-Lenovo-G50-80:~$
Awatar użytkownika
kobrawerde
Wytworny Kaczor
Wytworny Kaczor
Posty: 288
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: LXDE
Architektura: x86_64

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: kobrawerde » 04 lis 2018, 12:24

Może to ci pomoże ( jeśli koniecznie chcesz uaktualniać system a nie instalować drugiego od nowa ) :
https://itsfoss.com/upgrade-ubuntu-version/
https://linuxconfig.org/how-to-upgrade- ... nic-beaver
https://wiki.ubuntu.com/BionicBeaver/Re ... untu_17.10
.............
Naciśnij klawisze Alt + F2 i wpisz w polu poleceń.

Kod: Zaznacz cały

update-manager -c 
Update Manager powinien się otworzyć i powiedzieć, że Ubuntu 18.04 LTS jest już dostępny. Jeśli nie, możesz uruchomić

Kod: Zaznacz cały

/usr/lib/ubuntu-release-upgrade/check-new-release-gtk
.............
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 04 lis 2018, 12:42

Dzięki za linki do stron ale już próbowałem i zawsze wyskakiwał błąd teraz spróbuję jeszcze raz.

Zalogowałem się jako administrator wpisałem tak jak chciał pod czas prób aktualizacji

apt --fix-broken install

potem idę zgodnie z poleceniami z linka ale...

vboxpci.ko:
- Uninstallation
- Deleting from: /lib/modules/4.13.0-32-generic/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod.........

zanim coś znalazłem wyskoczyła komenda

depmod.........

DKMS: uninstall completed.

------------------------------
Deleting module version: 5.1.30
completely from the DKMS tree.
------------------------------
Done.

i dalej instaluje
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 04 lis 2018, 13:06

99 % prawie zakończone i

Flash Plugin installed.
Konfigurowanie pakietu libreoffice-help-pl (1:5.4.6-0ubuntu0.17.10.1) ...
Konfigurowanie pakietu update-notifier (3.186.3) ...
Konfigurowanie pakietu update-manager (1:17.10.15) ...
Konfigurowanie pakietu flashplugin-installer (30.0.0.134ubuntu0.17.10.1) ...
Konfigurowanie pakietu libreoffice-help-en-us (1:5.4.6-0ubuntu0.17.10.1) ...
Przetwarzanie wyzwalaczy pakietu libc-bin (2.26-0ubuntu2.1)...
Przetwarzanie wyzwalaczy pakietu initramfs-tools (0.125ubuntu12.1)...
update-initramfs: Generating /boot/initrd.img-4.13.0-46-generic
W: Operacja została przerwana, zanim mogła zostać zakończona
root@x-Lenovo-G50-80:/home/x#

wpisałem komendę

sudo apt install update-manager-core

prosił o usunięcie niepotrzebnych pakietów

sudo apt autoremove

po zakończeniu

znów po kolei

sudo apt install update-manager-core

potem

sudo do-release-upgrade

i pojawia się

Lock screen disabled

Your lock screen has been disabled and will remain disabled until you
reboot.

Aby kontynuować, naciśnij ENTER
Inhibiting until Ctrl+C is pressed...
Ostatnio zmieniony 04 lis 2018, 13:21 przez wieku, łącznie zmieniany 1 raz.
Awatar użytkownika
kobrawerde
Wytworny Kaczor
Wytworny Kaczor
Posty: 288
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: LXDE
Architektura: x86_64

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: kobrawerde » 04 lis 2018, 13:18

To są własnie uroki uaktualniania .... nie zawsze się po prostu da. (Bo w międzyczasie dużo zainstalowanych programów może być niekompatybilnych itd ) a nawet jeśli wszystko pójdzie OK ... zdarza się iż system dziwnie działa ...wolno / zawiesza się itp ....dlatego przeważnie poleca się instalację nowego systemu od nowa i ewentualnie jak polecano wyżej przywrócenie co najbardziej potrzebnych ustawień do swoich programów. Albo spróbowanie "podpiąć" całego folderu /home...... co moim zdanie też nie zawsze jest pożądane ...
Może warto więc zainstalować od nowa ...tym bardziej że robisz to raz na ok 5 lat przy wersji LTS .....co więcej będzie to trwało o wiele krócej.
Ostatnio zmieniony 04 lis 2018, 13:25 przez kobrawerde, łącznie zmieniany 1 raz.
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 04 lis 2018, 13:24

Jeszcze próbuje

Your lock screen has been disabled and will remain disabled until you
reboot.

Aby kontynuować, naciśnij ENTER
Inhibiting until Ctrl+C is pressed...

potwierdziłem 2x enter i coś poszło.

Ogólnie mam wrażenie że mój system zawsze wolno chodzi nie wiem dlaczego ;/ zwykłe uruchomienie arkusza kalkulacyjnego chwile mu zajmuje
wieku
Piegowaty Guziec
Piegowaty Guziec
Posty: 9
Rejestracja: 02 lis 2018, 12:47
Wersja Ubuntu: 17.10

Re: System pakietów jest uszkodzony - Proszę sprawdzić, czy używane są repozytoria osób trzecich.

Post autor: wieku » 04 lis 2018, 15:00

Ok udało się, na razie działa :) dzięki za pomoc
Wystarczyło zalogowałem się jako administrator potem

apt --fix-broken install

i potem zgodnie z instrukcjami dla aktualizacji.
ODPOWIEDZ

Wróć do „Przedszkole Linuksa”